#
# spec file for package vala-panel-appmenu
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vala-panel-appmenu
Version:        0.4.4
Release:        1.1
Summary:        AppMenu plugin for xfce4-panel, mate-panel and vala-panel
License:        LGPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/rilian-la-te/vala-panel-appmenu
Source:         https://github.com/rilian-la-te/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 2.8
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  vala >= 0.24
BuildRequires:  pkgconfig(gio-2.0) >= 2.44
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.44
BuildRequires:  pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.44
BuildRequires:  pkgconfig(gthread-2.0) >= 2.44
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(libbamf3) >= 0.5.0
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.2
BuildRequires:  pkgconfig(libwnck-3.0) >= 3.4.0
BuildRequires:  pkgconfig(libxfce4panel-2.0)
BuildRequires:  pkgconfig(libxfconf-0)
%if 0%{?suse_version} > 1320 || (0%{?sle_version} >= 120300 && 0%{?is_opensuse})
BuildRequires:  pkgconfig(libmatepanelapplet-4.0)
BuildRequires:  pkgconfig(vala-panel) >= 0.3.7
%endif

%description
This is Global Menu plugin for using with Xfce Panel, MATE Panel
and Vala Panel.

%package lang
# FIXME: consider using %%lang_package macro
Summary:        Languages for package vala-panel-appmenu
Group:          System/Localization
Suggests:       xfce4-panel-plugin-appmenu = %{version}
Supplements:    packageand(bundle-lang-other:xfce4-panel-plugin-appmenu)
Provides:       %{name}-lang-all = %{version}
Provides:       xfce4-panel-plugin-appmenu-lang = %{version}
Provides:       xfce4-panel-plugin-appmenu-lang-all = %{version}
BuildArch:      noarch
%if 0%{?suse_version} > 1320 || (0%{?sle_version} >= 120300 && 0%{?is_opensuse})
Suggests:       mate-applet-appmenu = %{version}
Suggests:       vala-panel-plugin-appmenu = %{version}
Supplements:    packageand(bundle-lang-other:mate-applet-appmenu)
Supplements:    packageand(bundle-lang-other:vala-panel-plugin-appmenu)
Provides:       mate-applet-appmenu-lang = %{version}
Provides:       mate-applet-appmenu-lang-all = %{version}
Provides:       vala-panel-plugin-appmenu-lang = %{version}
Provides:       vala-panel-plugin-appmenu-lang-all = %{version}
%endif

%description lang
Provides translations to the packages xfce4-panel-plugin-appmenu,
mate-applet-appmenu and vala-panel-plugin-appmenu.

%package -n xfce4-panel-plugin-appmenu
Summary:        AppMenu (Global Menu) plugin for xfce4-panel
Group:          System/GUI/XFCE
Requires:       unity-gtk-module-common
Requires:       xfce4-panel
Recommends:     xfce4-panel-plugin-appmenu-lang

%description -n xfce4-panel-plugin-appmenu
This is Global Menu plugin for using with Xfce Panel.

%if 0%{?suse_version} > 1320 || (0%{?sle_version} >= 120300 && 0%{?is_opensuse})
%package -n mate-applet-appmenu
Summary:        AppMenu (Global Menu) plugin for mate-panel
Group:          System/GUI/Other
Requires:       mate-panel
Requires:       unity-gtk-module-common
Recommends:     mate-applet-appmenu-lang

%description -n mate-applet-appmenu
This is Global Menu plugin for using with MATE Panel.

%package -n vala-panel-plugin-appmenu
Summary:        AppMenu (Global Menu) plugin for vala-panel
Group:          System/GUI/Other
Requires:       unity-gtk-module-common
Requires:       vala-panel
Recommends:     vala-panel-plugin-appmenu-lang

%description -n vala-panel-plugin-appmenu
This is Global Menu plugin for using with Vala Panel.
%endif

%prep
%setup -q

%build
%cmake \
  -DCMAKE_SHARED_LINKER_FLAGS=""
make %{?_smp_mflags} V=1

%install
%cmake_install
%find_lang %{name}
%fdupes %{buildroot}%{_datadir}/

%files lang -f %{name}.lang
%defattr(-,root,root)

%files -n xfce4-panel-plugin-appmenu
%defattr(-,root,root)
%doc LICENSE README.md
%{_libdir}/xfce4/panel/plugins/libappmenu-xfce.so
%{_datadir}/xfce4/panel/plugins/appmenu.desktop

%if 0%{?suse_version} > 1320 || (0%{?sle_version} >= 120300 && 0%{?is_opensuse})
%files -n mate-applet-appmenu
%defattr(-,root,root)
%doc LICENSE README.md
%dir %{_libdir}/mate-panel/
%{_libdir}/mate-panel/appmenu-mate
%dir %{_datadir}/mate-panel/
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/org.vala-panel.appmenu.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.AppmenuAppletFactory.service

%files -n vala-panel-plugin-appmenu
%defattr(-,root,root)
%doc LICENSE README.md
%dir %{_libdir}/vala-panel/
%dir %{_libdir}/vala-panel/applets/
%{_libdir}/vala-panel/applets/appmenu.plugin
%{_libdir}/vala-panel/applets/libappmenu-valapanel.so
%endif

%changelog
* Thu Apr 13 2017 sor.alexei@meowr.ru
- Initial package.
